Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607839 - SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin access to a leaked /root/.mozilla/firefox/k4sppwp7.default/.parentlock file descriptor.
SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin access to a lea...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:2260caf94c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 21:11 EDT by Kurt Driver
Modified: 2010-09-12 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 15:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Driver 2010-06-24 21:11:35 EDT
Summary:

SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin access to a leaked
/root/.mozilla/firefox/k4sppwp7.default/.parentlock file descriptor.

Detailed Description:

[npviewer.bin has a permissive type (nsplugin_t). This access was not denied.]

SELinux denied access requested by the npviewer.bin command. It looks like this
is either a leaked descriptor or npviewer.bin output was redirected to a file it
is not allowed to access. Leaks usually can be ignored since SELinux is just
closing the leak and reporting the error. The application does not use the
descriptor, so it will run properly. If this is a redirection, you will not get
output in the /root/.mozilla/firefox/k4sppwp7.default/.parentlock. You should
generate a bugzilla on selinux-policy, and it will get routed to the appropriate
package. You can safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
                              3
Target Context                unconfined_u:object_r:admin_home_t:s0
Target Objects                /root/.mozilla/firefox/k4sppwp7.default/.parentloc
                              k [ file ]
Source                        npviewer.bin
Source Path                   /usr/lib64/nspluginwrapper/npviewer.bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.3.0-11.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.5-1.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35-0.2.rc3.git0.fc14.x86_64 #1
                              SMP Tue Jun 22 23:41:48 UTC 2010 x86_64 x86_64
Alert Count                   18
First Seen                    Thu 24 Jun 2010 06:08:01 PM PDT
Last Seen                     Thu 24 Jun 2010 06:08:01 PM PDT
Local ID                      49820205-f15c-4ccd-90ad-f304b016a62b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { write } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/.parentlock" dev=dm-0 ino=919344 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { write } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/.parentlock" dev=dm-0 ino=919344 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { read } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/XPC.mfasl" dev=dm-0 ino=919347 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { write } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/XPC.mfasl" dev=dm-0 ino=919347 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { read } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/XUL.mfasl" dev=dm-0 ino=919355 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { read write } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/Cache/_CACHE_MAP_" dev=dm-0 ino=919367 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { read write } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/Cache/_CACHE_001_" dev=dm-0 ino=919368 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { read write } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/Cache/_CACHE_002_" dev=dm-0 ino=919369 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1277428081.958:60): avc:  denied  { read write } for  pid=4043 comm="npviewer.bin" path="/root/.mozilla/firefox/k4sppwp7.default/Cache/_CACHE_003_" dev=dm-0 ino=919370 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1277428081.958:60): arch=c000003e syscall=59 success=yes exit=0 a0=2107330 a1=2107680 a2=2108820 a3=8 items=0 ppid=3991 pid=4043 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="npviewer.bin" exe="/usr/lib64/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  leaks,npviewer.bin,nsplugin_t,admin_home_t,file,write
audit2allow suggests:

#============= nsplugin_t ==============
allow nsplugin_t admin_home_t:file { write read };
Comment 1 Daniel Walsh 2010-06-25 15:39:15 EDT
We do not support running tools like firefox as root, it is not a good idea and SELinux policy will not be changed to allow it.

Note You need to log in before you can comment on or make changes to this bug.